## pytest-pretty 1.2.0

=== Makefile ===
.DEFAULT_GOAL := all
sources = pytest_pretty

.PHONY: install
install:
	pip install -U pip
	pip install -r requirements/all.txt
	pip install -e .
	pre-commit install

.PHONY: refresh-lockfiles
refresh-lockfiles:
	@echo "Updating requirements/*.txt files using pip-compile"
	find requirements/ -name '*.txt' ! -name 'all.txt' -type f -delete
	pip-compile -q --resolver backtracking -o requirements/linting.txt requirements/linting.in
	pip-compile -q --resolver backtracking -o requirements/pyproject.txt pyproject.toml
	pip install --dry-run -r requirements/all.txt

.PHONY: format
format:
	pyupgrade --py37-plus --exit-zero-even-if-changed `find $(sources) -name "*.py" -type f`
	isort $(sources)
	black $(sources)

.PHONY: lint
lint:
	ruff $(sources)
	isort $(sources) --check-only --df
	black $(sources) --check --diff

.PHONY: all
all: lint

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build

=== debian/changelog ===
pytest-pretty (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Add Vcs-Git & Vcs-Browser tags.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 13:54:12 +0100

pytest-pretty (1.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Sat, 21 Sep 2024 23:25:25 +0200

pytest-pretty (1.2.0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Wed, 11 Sep 2024 18:51:42 +0200

=== debian/control ===
Source: pytest-pretty
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-pytest,
 python3-rich,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-pretty
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-pretty.git

Package: python3-pytest-pretty
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: pytest plugin for printing summary data prettily
 This is an opinionated pytest plugin to make output slightly easier
 to read and errors easy to find and fix.

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pytest_pretty/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest_pretty/pytest_pretty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pytest-pretty 1.3.0

=== Makefile ===
.DEFAULT_GOAL := all
sources = pytest_pretty

.PHONY: .uv
.uv: ## Check that uv is installed
	@uv --version || echo 'Please install uv: https://docs.astral.sh/uv/getting-started/installation/'

.PHONY: .pre-commit
.pre-commit: ## Check that pre-commit is installed
	@pre-commit -V || echo 'Please install pre-commit: https://pre-commit.com/'

.PHONY: install
install: .uv .pre-commit ## Install the package, dependencies, and pre-commit for local development
	uv sync --frozen
	pre-commit install --install-hooks

.PHONY: format
format: ## Format the code
	uv run ruff format
	uv run ruff check --fix --fix-only

.PHONY: lint
lint: ## Lint the code
	uv run ruff format --check
	uv run ruff check

.PHONY: test
test: ## Run the tests
	uv run pytest

.PHONY: all
all: format test

.PHONY: help
help: ## Show this help (usage: make help)
	@echo "Usage: make [recipe]"
	@echo "Recipes:"
	@awk '/^[a-zA-Z0-9_-]+:.*?##/ { \
		helpMessage = match($$0, /## (.*)/); \
		if (helpMessage) { \
			recipe = $$1; \
			sub(/:/, "", recipe); \
			printf "  \033[36m%-20s\033[0m %s\n", recipe, substr($$0, RSTART + 3, RLENGTH); \
		} \
	}' $(MAKEFILE_LIST)

=== debian/changelog ===
pytest-pretty (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Aug 2025 10:44:22 +0100

pytest-pretty (1.2.0-4) unstable; urgency=medium

  * Team upload.
  * d/watch: Fix uscan error.
  * Add Homepage.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 Feb 2025 12:48:50 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  python3-hatchling,
  python3-pytest,
  python3-rich,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-pretty
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-pretty.git
+Homepage: https://github.com/samuelcolvin/pytest-pretty
 
 Package: python3-pytest-pretty
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pytest-pretty

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/pytest-pretty/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pytest-pretty/pytest_pretty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
